Source

argh / setup.py

Author Commit Message Labels Comments Date
Andy Mikhailenko
Fix #21 again: py26 did not install argparse; distribute would break pypy. Remove the outdated manifest file. Avoid importing argh.__version__ at all.
Andy Mikhailenko
Update author's e-mail.
Andy Mikhailenko
Fix #21: initial setup would fail in arghparse-less environments.
Andy Mikhailenko
Fixed #18: argh.__version__ instead of _version.py
Branches
18-version-attribute
Andy Mikhailenko
Added support for Python 2.5 (this fixes issue #5).
Andy Mikhailenko
Added _version module. The problem is that both Sphinx and setup.py must know the version so we should store it in a third place; the most natural place would be argh.__version__ but if setup.py imports it, the coverage gets screwed up. So we put the version to an external module. Unfortunately this means that the (installed) package itself will not know it version.
Andy Mikhailenko
Added better inferring rules in the arg() decorator.
Andy Mikhailenko
Whoops, the distribution did not contain the module itself.
Andy Mikhailenko
Added tests (97% coverage), argh now passes them all.
Andy Mikhailenko
Added initial documentation draft. The real code in not here yet.